| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Timer Class Reference

Timer class. More...

`#include <OgreTimer.h>`

Inheritance diagram for Ogre::Timer:
[legend]

## Public Member Functions
| Timer ()
unsigned long | getMicroseconds ()
| Returns microseconds since initialisation or last reset. More...
unsigned long | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured. More...
unsigned long | getMilliseconds ()
| Returns milliseconds since initialisation or last reset. More...
unsigned long | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured. More...
void | reset ()
| Resets timer. More...

## Detailed Description

Timer class.

## Constructor & Destructor Documentation

## ◆ Timer()

Ogre::Timer::Timer | ( |  | ) |

## Member Function Documentation

## ◆ reset()

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ getMilliseconds()

unsigned long Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMicroseconds()

unsigned long Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMillisecondsCPU()

unsigned long Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ getMicrosecondsCPU()

unsigned long Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

The documentation for this class was generated from the following file:

- OgreTimer.h